<div class="row">
  <div class="col-md-12">

    <nb-card class="inline-form-card">
      <nb-card-header>Cadastrar Equipamento</nb-card-header>
      <nb-card-body>
        <form class="form-inline" [formGroup]="addEquipmentForm" (ngSubmit)="onSubmit()">
          <input type="text" nbInput fullWidth placeholder="Nome" formControlName="name">
          <input type="text" nbInput fullWidth placeholder="Serial Number" formControlName="serialNumber">
          <input type="text" nbInput fullWidth placeholder="Tipo: Tensão" formControlName="equipTypeTensao">
          <input type="text" nbInput fullWidth placeholder="Tipo: Corrente" formControlName="equipTypeCorrente">
          <input type="text" nbInput fullWidth placeholder="Tipo: Óleo" formControlName="equipTypeOleo">
          <button type="submit" nbButton status="primary" [disabled]="!addEquipmentForm.valid">Salvar</button>
        </form>
      </nb-card-body>
    </nb-card>

    <nb-card class="inline-form-card">
      <nb-card-header>Equipmentos</nb-card-header>
      <nb-card-body>
        <table class="table">
          <thead>
            <th class="text-center align-middle">ID</th>
            <th class="text-center align-middle">Nome</th>
            <th class="text-center align-middle">Serial Number</th>
            <th class="text-center align-middle">Data de Criação</th>
            <th class="text-center align-middle">Última alteração</th>
            <th class="text-center align-middle">#</th>
          </thead>
          <tbody>
            <tr *ngFor="let equipment of equipments">
              <td class="text-center align-middle">{{ equipment._id }}</td>
              <td class="text-center align-middle">{{ equipment.name }}</td>
              <td class="text-center align-middle">{{ equipment.serialNumber }}</td>
              <td class="text-center align-middle">{{ equipment.creationDate }}</td>
              <td class="text-center align-middle">{{ equipment.lastUpdate }}</td>
              <td class="text-center align-middle">
                <button type="button" nbButton status="primary" (click)="delete(equipment)">Deletar</button>
              </td>
            </tr>
          </tbody>
        </table>
      </nb-card-body>
    </nb-card>
  </div>
</div>